Bug 434527 - zhcon failed massrebuild attempt for GCC 4.3
zhcon failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: zhcon (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hu Zheng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:33 EST by Jesse Keating
Modified: 2013-01-09 22:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 01:42:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:33:35 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=448039
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 John Poelstra 2008-02-29 15:35:15 EST
i386 build failed

g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src    -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -funsigned-char -O2
-DNDEBUG -Wall -DDATADIR=\"/usr/share\" -DSYSCONFDIR=\"/etc\" -MT fblinear32.o
-MD -MP -MF .deps/fblinear32.Tpo -c -o fblinear32.o fblinear32.cpp
fblinear24.cpp: In member function 'virtual void FBLinear24::RevRect(int, int,
int, int)':
fblinear24.cpp:139: warning: operation on 'dest32' may be undefined
fblinear24.cpp:140: warning: operation on 'dest32' may be undefined
fblinear24.cpp:141: warning: operation on 'dest32' may be undefined
fblinear24.cpp:144: warning: operation on 'dest32' may be undefined
fblinear24.cpp:146: warning: operation on 'dest16' may be undefined
fblinear24.cpp:151: warning: operation on 'dest16' may be undefined
fblinear32.cpp: In member function 'virtual void FBLinear32::RevRect(int, int,
int, int)':
fblinear32.cpp:77: warning: operation on 'dest32' may be undefined
mv -f .deps/fblinear24.Tpo .deps/fblinear24.Po
g++ -DHAVE_CONFIG_H -I. -I../.. -I../../src    -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -funsigned-char -O2
-DNDEBUG -Wall -DDATADIR=\"/usr/share\" -DSYSCONFDIR=\"/etc\" -MT fblinear4.o
-MD -MP -MF .deps/fblinear4.Tpo -c -o fblinear4.o fblinear4.cpp
fblinear4.cpp: In member function 'virtual void FBLinear4::FillRect(int, int,
int, int, int)':
fblinear4.cpp:75: error: 'memset' was not declared in this scope
make[3]: *** [fblinear4.o] Error 1
make[3]: *** Waiting for unfinished jobs....
mv -f .deps/fblinear32.Tpo .deps/fblinear32.Po
make[3]: Leaving directory `/builddir/build/BUILD/zhcon-0.2.5/src/display'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/zhcon-0.2.5/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/zhcon-0.2.5'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.63180 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.63180 (%build)
EXCEPTION: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target i386 --nodeps
//builddir/build/SPECS/zhcon.spec'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 287, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" %
(command,), ret)
Error: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target i386 --nodeps
//builddir/build/SPECS/zhcon.spec'
LEAVE do --> EXCEPTION RAISED
Comment 2 Hu Zheng 2008-03-03 01:42:52 EST
Fixed.

Note You need to log in before you can comment on or make changes to this bug.